Kirjoittaja Aihe: Ubuntu 6.10:een päivittäminen: ohjeet ja ongelmat tänne!  (Luettu 72727 kertaa)

Juhhe1

  • Käyttäjä
  • Viestejä: 1062
    • Profiili
    • Valokuva albumini
Re: EDGYYN PÄIVITTÄMINEN: ohjeet ja ongelmat tänne!
« Vastaus #80 : 29.10.06 - klo:20.21 »
Itse kohtasin ongelman dapper-->edgy päivityksessä RT61 piirin wlan kortin kanssa, eli edgy tarjosi sille rt61pci moduulia jossa on jokun bugi että se ei toiminut. Sain näiden parin ohjeen mukaan sen kuntoon: https://launchpad.net/distros/ubuntu/+source/linux-source-2.6.17/+bug/58117/comments/11 ja http://ubuntuforums.org/showpost.php?p=1678002&postcount=26, eli piti hakea ralinkin sivuilta virallinen ajuri rt61 piirille ja blacklistata tuo edgyn mukana tullut niin nyt toimii hienosti.
Pöytäkoneella on sellainen ihme ongelma (se on kyllä ihan puhdas edgy asennus), että hiiri outoilee välillä niin että tiedostot rupeaa hävimään roskikseen ja pomppii ties minne (hiiri on tuollainen Lidlin langaton halpis rotta) ja näppis (M$ natural kb). Dapperilla tuollaista ongelmaa ei ollut koskaan ja tuo olisi kiva saada kuntoon.

Tlp-WS (Workstation) - .:Ubuntu 10.10:.
Xenophobic (Laptop) - .:Ubuntu 10.04:.
Xenophobic-II (Laptop) - .:Ubuntu 10.10:.
TlpEEE (Asus EEE) - .:Crunchbang 10 Statle

Squirrel

  • Käyttäjä
  • Viestejä: 455
    • Profiili
Re: EDGYYN PÄIVITTÄMINEN: ohjeet ja ongelmat tänne!
« Vastaus #81 : 29.10.06 - klo:21.56 »
Eli mulla on ongelma, että mitään virheilmoitusta ei tule, mutta silti ei päivity. Ensin kyllä valitti, et jotain puuttu ja sanoi "try with --fix-missing option" tjsp. ja sen kanssa kaikki ok. Mut kuitenkin /etc/issue näyttää edelleen versiota 5.10

Muok:
Eli kyseessä on AMD 64 bittiselle piirille tarkoitttu versio, jos siitä tiedosta on apua.
Toivoisin tulevan päivä päivältä paremmaksi tietokoneen käyttäjäksi

raimo

  • Käyttäjä
  • Viestejä: 4204
  • openSUSE Tumbleweed
    • Profiili
Re: EDGYYN PÄIVITTÄMINEN: ohjeet ja ongelmat tänne!
« Vastaus #82 : 29.10.06 - klo:22.08 »
Eli mulla on ongelma, että mitään virheilmoitusta ei tule, mutta silti ei päivity. Ensin kyllä valitti, et jotain puuttu ja sanoi "try with --fix-missing option" tjsp. ja sen kanssa kaikki ok. Mut kuitenkin /etc/issue näyttää edelleen versiota 5.10

Muok:
Eli kyseessä on AMD 64 bittiselle piirille tarkoitttu versio, jos siitä tiedosta on apua.

Ei onnistu suoraan 5.10 -> 6.10, vaan järjestyksessä pitää päivittää,
eli ensin Breezy (5.10) -> Dapper (6.06) ja sitten Dapper (6.06) -> Edgy (6.10)

HUOM! Lukekaan tämä ohje ensin, ja päivittäkää sen mukaan toimien.
https://help.ubuntu.com/community/EdgyUpgrades

Siellä mm selkeästi sanotaan näin:
You can only upgrade to Edgy from Ubuntu 6.06 ("Dapper Drake").
Suomeksi tuo tarkoittaa sitä että päivityksen Edgyyn (6.10) voi tehdä vai Dapperista (6.06).
Tietä käyden tien on vanki. Vapaa on vain umpihanki.
Aaro Hellaakoski

Squirrel

  • Käyttäjä
  • Viestejä: 455
    • Profiili
Re: EDGYYN PÄIVITTÄMINEN: ohjeet ja ongelmat tänne!
« Vastaus #83 : 29.10.06 - klo:22.12 »
Eli mulla on ongelma, että mitään virheilmoitusta ei tule, mutta silti ei päivity. Ensin kyllä valitti, et jotain puuttu ja sanoi "try with --fix-missing option" tjsp. ja sen kanssa kaikki ok. Mut kuitenkin /etc/issue näyttää edelleen versiota 5.10

Muok:
Eli kyseessä on AMD 64 bittiselle piirille tarkoitttu versio, jos siitä tiedosta on apua.

Ei onnistu suoraan 5.10 -> 6.10, vaan järjestyksessä pitää päivittää,
eli ensin Breezy (5.10) -> Dapper (6.06) ja sitten Dapper (6.06) -> Edgy (6.10)

HUOM! Lukekaan tämä ohje ensin, ja päivittäkää sen mukaan toimien.
https://help.ubuntu.com/community/EdgyUpgrades

Siellä mm selkeästi sanotaan näin:
You can only upgrade to Edgy from Ubuntu 6.06 ("Dapper Drake").
Suomeksi tuo tarkoittaa sitä että päivityksen Edgyyn (6.10) voi tehdä vai Dapperista (6.06).


Onpas typerää. Olisi edes antanut virheilmoituksia, niin olisin heti älynnyt. >:P Asentaako 6.10 suoraan vai päivittäinsinkö? (asensin tuon 5.10 eilen, ei ilmeisesti pitäisi käyttää cd-levyä joka on lojunut kirjahyllyssä pidemmän aikaa :P (yhtään ohjelmaa en ole tähän vielä asennellu)).
Toivoisin tulevan päivä päivältä paremmaksi tietokoneen käyttäjäksi

juyli

  • Vieras
Re: EDGYYN PÄIVITTÄMINEN: ohjeet ja ongelmat tänne!
« Vastaus #84 : 29.10.06 - klo:22.19 »
Onpas typerää.

Ei ole. Linux kehittyy huimaa vauhtia, joten ei vuoden vanha jakelu ole vaihdettavissa suoraa uusimpaan uuteen.
Päivityksiä 5.10 olisi saatavissa, joten kyllä silläkin pääsee... ja päivitys Dapperiinkin olisi suositeltavaa, riippuu
tarpeistasi.
Jos Windows-maailmaan verrataan ei Win3.1 ole päivitettävissä Vistaan.

Asentaako 6.10 suoraan vai päivittäinsinkö? (asensin tuon 5.10 eilen,

Suosittelen suoraa Edgyn (6.10) asennusta. Helpointa ja nopeinta.

Squirrel

  • Käyttäjä
  • Viestejä: 455
    • Profiili
Re: EDGYYN PÄIVITTÄMINEN: ohjeet ja ongelmat tänne!
« Vastaus #85 : 29.10.06 - klo:22.39 »
Ei ole. Linux kehittyy huimaa vauhtia, joten ei vuoden vanha jakelu ole vaihdettavissa suoraa uusimpaan uuteen.
Päivityksiä 5.10 olisi saatavissa, joten kyllä silläkin pääsee... ja päivitys Dapperiinkin olisi suositeltavaa, riippuu
tarpeistasi.
Jos Windows-maailmaan verrataan ei Win3.1 ole päivitettävissä Vistaan.

Tarkoitin tietysti sitä, että olisi se asennusskripti voinut herjata jotain.
Toivoisin tulevan päivä päivältä paremmaksi tietokoneen käyttäjäksi

uggeli

  • Käyttäjä
  • Viestejä: 351
    • Profiili
Re: EDGYYN PÄIVITTÄMINEN: ohjeet ja ongelmat tänne!
« Vastaus #86 : 29.10.06 - klo:23.44 »
Itse myös kerkesin käyttää elämäni ensimmäistä linukkaa (Dapperia) muutaman viikon ilman suurempia moitteita. Edgyn asensin myös kokonaan puhtaalta pöydältä Edgy Eftin asennuslevyllä.

Yritin asentaa (lisää/poista sovelluksia) ohjelmalla erästä ohjelmaa. Ei asentanut lisuketta, nyt lukee joka kohdassa lisää/poista sovelluksissa.

Sovellusta (se ja se) ei voida asentaa tietokonetyypillesi (i386). Sovelluksella voi olla erityisiä laitteistovaatimuksia, tai sovelluksen valmistaja on päättänyt olla tukematta tietokonetyyppiäsi.

Onkos muilla tällaisia havaintoja? Itsellänikin on läppärissä puhtaalta pöydältä asennettu edgy ja jos kokeilen asentaa tuon lisää/poista sovelluksia systeemin kautta sun java 5 pluginia, saan herjan:

Sun Java 5.0 Plugin
Sovelluksen Sun Java 5.0 Plugin käyttö, muokkaus tai jakelu on rajoitettua joissain maissa.
Sovellusta Sun Java 5.0 Plugin ei voida asentaa tietokonetyypillesi (i386). Sovelluksella voi olla erityisiä laitteistovaatimuksia, tai sovelluksen valmistaja on päättänyt olla tukematta tietokonetyyppiäsi.


Yleensä en ole mitään tuon kautta ole asennellutkaan, mutta nyt päätin kokeilla. Niin ja koneessa on kyllä Turion 64 X2 prosessori, mutta asennettu on 32-bittinen versio ubuntusta jota käytän generic kernelillä.
Linux: Be root
Windows: Reboot

Squirrel

  • Käyttäjä
  • Viestejä: 455
    • Profiili
Re: EDGYYN PÄIVITTÄMINEN: ohjeet ja ongelmat tänne!
« Vastaus #87 : 30.10.06 - klo:00.39 »
Latasin vahingossa live-cd paketin; onko live-cd:ltä asennettu Kubuntu ihan sama kuin "perinteisellä" menetelmällä?

Toisekseen mitän tämän omituisen hiiren temppuilun saa loppumaan? Vähä väliä se painaa edellistä ja shellissä se kanssa kelaa komentohistoriaa. Tiedän, että se on joku ominaisuus, miten sen saa pois?
Toivoisin tulevan päivä päivältä paremmaksi tietokoneen käyttäjäksi

peran

  • Vieras
Re: EDGYYN PÄIVITTÄMINEN: ohjeet ja ongelmat tänne!
« Vastaus #88 : 30.10.06 - klo:01.21 »
Latasin vahingossa live-cd paketin; onko live-cd:ltä asennettu Kubuntu ihan sama kuin "perinteisellä" menetelmällä?

Sama se on. Nykyään Ubuntu on yhdistänyt Live-CD:n ja asennusrompun. Aikaisemmin tarvittiin kaksi eri levyä, joissa oli lähes samat tiedot. Nykyään voi siis ensin testailla, ja jos tykkää, niin voi asentaa suoraan ilman ylimääräistä boottia.

Risto H. Kurppa

  • Käyttäjä
  • Viestejä: 3024
  • Useita Kubuntuja ajossa.
    • Profiili
    • http://risto.kurppa.fi
Re: EDGYYN PÄIVITTÄMINEN: ohjeet ja ongelmat tänne!
« Vastaus #89 : 30.10.06 - klo:10.59 »
Edgyyn päivittäminen näköjään yksinkertaisti audacitystä valikot pisteiksi (myös noista pisteistä aukeavat valikot ovat pisteinä..):


Näyttääpä olevan joku hassu bugi joka rikkoo joitain ohjelmia ja yksi ratkoehdotus on täällä:
https://launchpad.net/distros/ubuntu/+source/gtk+1.2/+bug/62300/comments/8

eli muutaman xfonts - paketin asennus ja tuon yhden tiedoston poisto.

Suap nähdä toimiiko.. (tuollaista .gtkrc-1.2 - tiedostoa ei löytynyt mutta .gtkrc-2.0 saa kelvata..)


r
UUSI UBUNTUN KÄYTTÄJÄ: SÄÄSTÄ AIKAASI LUKEMALLA  -> TÄMÄ <-

scub

  • Käyttäjä
  • Viestejä: 42
    • Profiili
Re: EDGYYN PÄIVITTÄMINEN: ohjeet ja ongelmat tänne!
« Vastaus #90 : 30.10.06 - klo:11.31 »
Itselläni tuli ongelma HAUPPAUGE WINTV NOVA-T STICK DVB-T USB-2 digitv-vastaanottimen kanssa. Dapperissa kyseinen laite toimi hyvin linuxtv.org:n v4l-dvb ajurilla. Edgyyn päivityksen jälkeen ei. Tarvittavia moduuleita ei enää ollut asennuksessani, joten hain uusimman v4l-dvb paketin näillä ohjeilla: http://www.linuxtv.org/wiki/index.php/How_to_install_DVB#Get_required_software. Kun ajan komenon
Koodia: [Valitse]
sudo make tulee tällainen virheilmoitus:

Koodia: [Valitse]
janne@laptop:~/v4l-dvb$ sudo make
Password:
make -C /home/janne/v4l-dvb/v4l
make[1]: Siirrytään hakemistoon "/home/janne/v4l-dvb/v4l"
Updating/Creating .config
File not found: /lib/modules/2.6.17-10-386/build/.config at ./scripts/make_kconfig.pl line 30.
make[1]: *** "config-compat.h"-kohteen tarvitseman kohteen ".myconfig" tuottamiseen ei ole sääntöä. Seis.
make[1]: Poistutaan hakemistosta "/home/janne/v4l-dvb/v4l"
make: *** [all] Virhe 2
janne@laptop:~/v4l-dvb$

Miten tuo korjataan, että pääsen taas katsomaan telkkaria?

Timo Jyrinki

  • Sr. Member
  • ****
  • Viestejä: 1256
    • Profiili
    • kotisivu
Re: Ubuntu 6.10:een päivittäminen: ohjeet ja ongelmat tänne!
« Vastaus #91 : 30.10.06 - klo:13.37 »
Muokkasin otsikkoa. On parempi puhua virallisista versionumeroista kuin koodinimistä, ja toisekseen ajattelin että on ihan hyvä olla liikaa innostamatta ihmisiä "korjaamaan toimivaa", eli päivittämään 6.06 LTS -julkaisusta mihinkään.

Timo Jyrinki

  • Sr. Member
  • ****
  • Viestejä: 1256
    • Profiili
    • kotisivu
Re: Ubuntu 6.10:een päivittäminen: ohjeet ja ongelmat tänne!
« Vastaus #92 : 30.10.06 - klo:13.39 »
(Nova-T stick)

Miten tuo korjataan, että pääsen taas katsomaan telkkaria?

Asenna linux-headers-2.6.17(-jotain)-paketti, jotta moduulit kääntyvät. Sitten dvb-v4l-hakemistossa 'make' ja 'sudo make install'.
« Viimeksi muokattu: 30.10.06 - klo:13.41 kirjoittanut Timo Jyrinki »

mikkohuo

  • Käyttäjä
  • Viestejä: 562
  • The Ubuntu Counter Project - user number #3339
    • Profiili
Re: Ubuntu 6.10:een päivittäminen: ohjeet ja ongelmat tänne!
« Vastaus #93 : 30.10.06 - klo:22.41 »
Onkos kukaan onnistunut päivityksessä virallisen ohjeen mukaan graafisella työkalulla? (eli gksu "update-manager -c")

Kokeilin tuolla, mutta tyssäsi pakettien asentamisvaiheessa. Piti sitten tehdä juttu loppuun apt-get:lla. Se ei sinänsä ole mikään ongelma, mutta harmi vain, jos tuo päivitystyökalu ei toimi.

jonnijii

  • Käyttäjä
  • Viestejä: 19
    • Profiili
Re: Ubuntu 6.10:een päivittäminen: ohjeet ja ongelmat tänne!
« Vastaus #94 : 31.10.06 - klo:20.26 »
Tällainen ongelma:


Kävin läpi päivityksen, ohjeiden mukaan toistelin sudo apt-get dist-upgradea ja niin edelleen niin kauan kunnes kaikki näytti asentuneen. Kaiken piti olla kunnossa. Mutta:

Päivityksen jälkeen uudelleenkäynnistäessä desktop ei suostunutkaan enää käynnistymään. Kubuntu käynnistyy muuten ihan oikein, tulee uudet käynnistysikkunat ja niin edelleen, mutta sitten se jättää käynnistyksen recovery modeen.  :'(

Kun kokeilin apt-getillä olisiko joku paketti jäänyt uupumaan dpkg herjasi, että tiedostoa librep9 ei pystytty asentamaan (syynä broken pipe), mutta ei kai tämä ongelma voi johtua siitä, eihän?

Tietysti olisi hyvä katsoa läpi sources.list, että näkisi onko siellä kaikki mitä pitää, mutta kun en saa sitä auki, kun ei se desktop suostu käynnistymään... Mitenkäs sen saa auki recovery modessa?

Olisin kiitollinen ohjeista.

jonnijii

  • Käyttäjä
  • Viestejä: 19
    • Profiili
Re: Ubuntu 6.10:een päivittäminen: ohjeet ja ongelmat tänne!
« Vastaus #95 : 31.10.06 - klo:23.10 »
No niin.

Kauhea oli säätö, puolitoista päivää etsin ongelma ydintä. Librep9 jumitti asennuksen, kuitenkin. Kävin sudo aptitude -f:llä läpi kaikki asennukset ja huomasin, että puolet ubuntusta oli vielä asentamatta!

Vihdoinkin sain ne asennettua ja ainakin gnome toimii nyt jotenkuten, ainakin työpöytä latautui. Vielä KDE asennukseen niin sitten nähdään, oliko koko homma vaivan väärtti. :-\

Helppoa? Ei todellakaan. Mutta ainakin opin paljon uutta ubuntusta... mutta ei tämä kyllä mikään humanistin käyttis ole! Sanoo humanisti. >:(

Outolintu

  • Käyttäjä
  • Viestejä: 171
    • Profiili
Re: Ubuntu 6.10:een päivittäminen: ohjeet ja ongelmat tänne!
« Vastaus #96 : 01.11.06 - klo:09.09 »
Päivitin Edgyyn läppärin ja pöytäkoneen,odotin että kannettavan kanssa tulisi enemmän ongelmia.Toisin kävi,kannettava toimii kuin junan ravintolavaunu (myös WLAN) ,pöytäkone on käyttökelvoton.En pääse verkkoon!

DHCP ei toimi,ei myöskään jos annan kiinteän IP:n.Ei onnistu ping.

Mikään tuntemani konsti ei auta,ei toimi live-CD,ei alternate-CD,laitoin koneeseen jopa toisen valmistajan verkkokortin.

En viitsi asentaa Dapperia uudelleen vaan odottelen päivitystä Edgyyn,toivottavasti tulee pian.
Numbat

Risto H. Kurppa

  • Käyttäjä
  • Viestejä: 3024
  • Useita Kubuntuja ajossa.
    • Profiili
    • http://risto.kurppa.fi
Re: Ubuntu 6.10:een päivittäminen: ohjeet ja ongelmat tänne!
« Vastaus #97 : 01.11.06 - klo:09.38 »
pöytäkone on käyttökelvoton.En pääse verkkoon!
Mikään tuntemani konsti ei auta,ei toimi live-CD,ei alternate-CD,laitoin koneeseen jopa toisen valmistajan verkkokortin.

En viitsi asentaa Dapperia uudelleen vaan odottelen päivitystä Edgyyn,toivottavasti tulee pian.

MIten ajattelit päivittää vai lataamalla 'uuden edgyn' verkosta cd:lle ja asentamalla siitä?

En usko että uutta edgyä (joku 6.10.1 kuten dapperista julkaistiin 6.06.1 - pari kuukautta alkuperäisen julkaisun jälkeen) olisi tulossa.. repositoryjen paketit kyllä osittain varmaan päivittyvätkin siltä osin missä fataaleja bugeja on..

Kerro lisää.. Mitä näyttää ifconfig? Pääsetkö dapper - live-cd:llä verkkoon? Äkkiseltään, jos live-cd:lläkään ei pääse verkkoon (ja sinulla on ihan tavallinen ADSL tai kiinteä linja tms) kuulostaa jonkunlaiselta laitteistovialta eikä ubuntu-häikältä.. Piuha poikki tai irti tai modeemi vaurioitunut tai jotain.. Voihan vika olla myös verkkokortissa tai siinä ettei sille ole ajureita mutta.. you never know..



r
UUSI UBUNTUN KÄYTTÄJÄ: SÄÄSTÄ AIKAASI LUKEMALLA  -> TÄMÄ <-

Outolintu

  • Käyttäjä
  • Viestejä: 171
    • Profiili
Re: Ubuntu 6.10:een päivittäminen: ohjeet ja ongelmat tänne!
« Vastaus #98 : 01.11.06 - klo:09.55 »

DHCP ei anna IP-osoitetta,kiinteäkään IP ei toimi. Ifdown ja ifup on kokeiltu.Ipv6 disabloitu.Live-CD ei päästä verkkoon.

Windows toimii ns. heittämällä.Samoin Dapper silloin kun se vielä koneessa oli.

Päivitän lataamalla CD:n verkosta,siihenasti käytän windowsia.
Numbat

Risto H. Kurppa

  • Käyttäjä
  • Viestejä: 3024
  • Useita Kubuntuja ajossa.
    • Profiili
    • http://risto.kurppa.fi
Re: Ubuntu 6.10:een päivittäminen: ohjeet ja ongelmat tänne!
« Vastaus #99 : 01.11.06 - klo:10.12 »
Päivitän lataamalla CD:n verkosta,siihenasti käytän windowsia.

Kuten sanottu, en usko että Edgystä tulee uutta cd-versiota.. Imaget on julkaistaessa tehty eikä niitä käsittääkseni muuteta ellei ilmene olennaisia ongelmia (esim. Dapperin asennusohjelma oli varsin buginen). Ja koska Edgy ei ole LTS (=Long Term Support) ei uuden levyimagen julkaisu liene niinkään tärkeää kuin Dapperin kohdalla.

Ainoa viite minkä 6.10.1:stä löysin oli täällä:
http://www.powerdeveloper.org/forums/viewtopic.php?p=5323&sid=3c2ab104cd57e69ceeeb4a08b5f98ce2#5323
Lainaus
However we are working with all of the groups (Fedora/RedHat, SUSE/Novell, Ubuntu both directly through Canonical, and the backdoor via Sven & Debian) to get this resolved. I hope something can be done for the next Edgy update (6.10.1 which should be released at or just after Christmas I suspect?)


Saapa nähdä..

Huhtikuussa ilmestynee kuitenkin 7.04 Feisty Fawn jos sinne saakka jaksat odotella.. Jos et niin.. tyydy windowsiin, dapperiin tai kerro lisää yksityiskohtia jotta täällä pystyttäisiin paremmin jeesaamaan ongelman ratkaisussa.

r


ps. dapperikin on hyvä vaihtoehto..
UUSI UBUNTUN KÄYTTÄJÄ: SÄÄSTÄ AIKAASI LUKEMALLA  -> TÄMÄ <-